### Function

# Vips concurrency_get

#### Declaration [src]

    int
    vips_concurrency_get (
      void
    )

#### Description [src]

Returns the number of worker threads that vips should use when running `vips_threadpool_run()`.

vips gets this values from these sources in turn:

If `vips_concurrency_set()` has been called, this value is used. The special value 0 means “default”. You can also use the command-line argument `--vips-concurrency` to set this value.

If `vips_concurrency_set()` has not been called and no command-line argument was used, vips uses the value of the environment variable `VIPS_CONCURRENCY`.

If `VIPS_CONCURRENCY` has not been set, vips finds the number of hardware threads that the host machine can run in parallel and uses that value.

The final value is clipped to the range 1 - 1024.

See also

`vips_concurrency_get()`.

#### Return value

Type: `int`

Number of worker threads to use.